Index: plugins/dcCKEditor/_install.php
===================================================================
--- plugins/dcCKEditor/_install.php	(revision 3731)
+++ plugins/dcCKEditor/_install.php	(revision 3955)
@@ -30,4 +30,5 @@
 $settings->dcckeditor->put('table_button', false, 'boolean', 'Add table button?', false, true);
 $settings->dcckeditor->put('clipboard_buttons', false, 'boolean', 'Add clipboard buttons?', false, true);
+$settings->dcckeditor->put('action_buttons', true, 'boolean', 'Add undo/redo buttons?', false, true);
 $settings->dcckeditor->put('disable_native_spellchecker', true, 'boolean', 'Disables the built-in spell checker if the browser provides one?', false, true);
 
Index: plugins/dcCKEditor/_post_config.php
===================================================================
--- plugins/dcCKEditor/_post_config.php	(revision 3917)
+++ plugins/dcCKEditor/_post_config.php	(revision 3955)
@@ -191,4 +191,11 @@
 <?php endif;?>
 
+<?php if (!empty($dcckeditor_action_buttons)): ?>
+            {
+                name: 'action',
+                items: ['Undo','Redo']
+            },
+<?php endif;?>
+
 <?php if (!empty($dcckeditor_alignment_buttons)): ?>
             {
Index: plugins/dcCKEditor/inc/_config.php
===================================================================
--- plugins/dcCKEditor/inc/_config.php	(revision 3875)
+++ plugins/dcCKEditor/inc/_config.php	(revision 3955)
@@ -64,4 +64,7 @@
             $core->blog->settings->dcckeditor->put('clipboard_buttons', $dcckeditor_clipboard_buttons, 'boolean');
 
+            $dcckeditor_action_buttons = (empty($_POST['dcckeditor_action_buttons'])) ? false : true;
+            $core->blog->settings->dcckeditor->put('action_buttons', $dcckeditor_action_buttons, 'boolean');
+
             $dcckeditor_disable_native_spellchecker = (empty($_POST['dcckeditor_disable_native_spellchecker'])) ? false : true;
             $core->blog->settings->dcckeditor->put('disable_native_spellchecker', $dcckeditor_disable_native_spellchecker, 'boolean');
Index: plugins/dcCKEditor/index.php
===================================================================
--- plugins/dcCKEditor/index.php	(revision 3731)
+++ plugins/dcCKEditor/index.php	(revision 3955)
@@ -25,4 +25,5 @@
 $dcckeditor_table_button                = $core->blog->settings->dcckeditor->table_button;
 $dcckeditor_clipboard_buttons           = $core->blog->settings->dcckeditor->clipboard_buttons;
+$dcckeditor_action_buttons              = $core->blog->settings->dcckeditor->action_buttons;
 $dcckeditor_disable_native_spellchecker = $core->blog->settings->dcckeditor->disable_native_spellchecker;
 
Index: plugins/dcCKEditor/locales/fr/main.po
===================================================================
--- plugins/dcCKEditor/locales/fr/main.po	(revision 3090)
+++ plugins/dcCKEditor/locales/fr/main.po	(revision 3955)
@@ -60,11 +60,11 @@
 #: tpl/index.tpl:45
 msgid "Add format selection"
-msgstr "Ajouter le bouton pour ajouter les formats."
+msgstr "Ajouter le bouton pour ajouter les formats"
 
 msgid "Add table button"
-msgstr "Ajouter le bouton pour ajouter des tableaux."
+msgstr "Ajouter le bouton pour ajouter des tableaux"
 
 msgid "Add clipboard buttons"
-msgstr "Ajouter les boutons de copier/coller..."
+msgstr "Ajouter les boutons de copier/coller"
 
 msgid "Copy, Paste, Paste Text, Paste from Word"
@@ -88,2 +88,5 @@
 msgid "Disables the built-in spell checker if the browser provides one"
 msgstr "Désactiver la correction orthographique fournie par le navigateur"
+
+msgid "Add undo/redo buttons"
+msgstr "Ajouter les boutons défaire/refaire"
Index: plugins/dcCKEditor/tpl/index.php
===================================================================
--- plugins/dcCKEditor/tpl/index.php	(revision 3875)
+++ plugins/dcCKEditor/tpl/index.php	(revision 3955)
@@ -90,4 +90,10 @@
         </p>
         <p>
+          <?php echo form::checkbox('dcckeditor_action_buttons', 1, $dcckeditor_action_buttons); ?>
+          <label class="classic" for="dcckeditor_action_buttons">
+            <?php echo __('Add undo/redo buttons'); ?>
+          </label>
+        </p>
+        <p>
           <?php echo form::checkbox('dcckeditor_disable_native_spellchecker', 1, $dcckeditor_disable_native_spellchecker); ?>
           <label class="classic" for="dcckeditor_disable_native_spellchecker">
